use strictures 1;
use Test::More;
use FindBin;

use System::Introspector::Probe::ResolvConf;

my $probe = System::Introspector::Probe::ResolvConf->new(
    resolv_conf_file => "$FindBin::Bin/data/resolv.conf",
);
my $result = $probe->gather;
ok $result, 'received data';
my $data = $result->{resolv_conf};
ok $data, 'received resolv.conf data';

is_deeply $data,
    [[qw( domain foo )],
     [qw( search bar )],
     [qw( nameserver baz )],
     [qw( nameserver qux )]],
    'parsing worked';

done_testing;
